AbstractRSSReader (ZXing 3.4.0 API)

com.google.zxing.oned.rss

## Class AbstractRSSReader

- java.lang.Object
- - com.google.zxing.oned.OneDReader
  - - com.google.zxing.oned.rss.AbstractRSSReader

- All Implemented Interfaces:
    Reader
  Direct Known Subclasses:
    RSS14Reader, RSSExpandedReader

      public abstract class AbstractRSSReader
      extends OneDReader

  Superclass of `OneDReader` implementations that read barcodes in the RSS family of formats.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractRSSReader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static int` | `count(int[] array)` Deprecated. call `MathUtils.sum(int[])`
    `protected static void` | `decrement(int[] array, float[] errors)`
    `protected int[]` | `getDataCharacterCounters()`
    `protected int[]` | `getDecodeFinderCounters()`
    `protected int[]` | `getEvenCounts()`
    `protected float[]` | `getEvenRoundingErrors()`
    `protected int[]` | `getOddCounts()`
    `protected float[]` | `getOddRoundingErrors()`
    `protected static void` | `increment(int[] array, float[] errors)`
    `protected static boolean` | `isFinderPattern(int[] counters)`
    `protected static int` | `parseFinderValue(int[] counters, int[][] finderPatterns)`

    - ### Methods inherited from class com.google.zxing.oned.OneDReader

      `decode, decode, decodeRow, patternMatchVariance, recordPattern, recordPatternInReverse, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRSSReader

          protected AbstractRSSReader()

  - ### Method Detail

    - #### getDecodeFinderCounters

          protected final int[] getDecodeFinderCounters()

    - #### getDataCharacterCounters

          protected final int[] getDataCharacterCounters()

    - #### getOddRoundingErrors

          protected final float[] getOddRoundingErrors()

    - #### getEvenRoundingErrors

          protected final float[] getEvenRoundingErrors()

    - #### getOddCounts

          protected final int[] getOddCounts()

    - #### getEvenCounts

          protected final int[] getEvenCounts()

    - #### parseFinderValue

          protected static int parseFinderValue(int[] counters,
                                                int[][] finderPatterns)
                                         throws NotFoundException

      Throws:
        `NotFoundException`

    - #### count

          @Deprecated
          protected static int count(int[] array)

      Deprecated. call `MathUtils.sum(int[])`
      Parameters:
        `array` - values to sum
      Returns:
        sum of values

    - #### increment

          protected static void increment(int[] array,
                                          float[] errors)

    - #### decrement

          protected static void decrement(int[] array,
                                          float[] errors)

    - #### isFinderPattern

          protected static boolean isFinderPattern(int[] counters)

Copyright © 2007–2019. All rights reserved.